## This is a basic workflow to help you get started with Actions
#
#name: CI-CD
#
## Controls when the workflow will run
#on:
#  # Triggers the workflow on push or pull request events but only for the "master" branch
#  push:
#    branches: [ "master", "develop" ]
#  pull_request:
#    branches: [ "master", "develop" ]
#
#  # Allows you to run this workflow manually from the Actions tab
#  workflow_dispatch:
#
#
#jobs:
#  deploy:
#    runs-on: ubuntu-latest
#    name: Deploy MB Distribution
#    steps:
#      - name: Deploy to rslabs - mb distribution
#        uses: pitscher/ovh-deploy-hosting-action@v1
#        env:
#          OVH_HOSTING_USER: ${{ secrets.OVH_HOSTING_USER }}
#          OVH_HOSTING_PASSWORD: ${{ secrets.OVH_HOSTING_PASSWORD }}
#          OVH_HOSTING_DOMAIN: ssh.cluster023.hosting.ovh.net
#          REPOSITORY_NAME: mb-distribution
#          REPOSITORY_URL: git@github.com:safrek/mb-distribution.git
#
#
##  commands:
##    runs-on: ubuntu-latest
##    name: Run commands
##    needs: deploy
##    steps:
##      - name: PHP Version
##        run: php --version
##      - name: Checkout
##        uses: actions/checkout@v2.0.0
##      - name: Get folder
##        run: cd mb-distribution/src/
##     # Optional step compiling JS files
##      - name: Build JS dependencies
##        uses: PrestaShopCorp/github-action-build-js/12@v1.0
##        with:
##          cmd: yarn
##          path: ./_dev
##     # Install PHP dependencies (Production ONLY)
##      - name: Install composer dependencies
##        run: |
##          composer install --no-dev -o
##          echo Hello, world2 !
##     # Remove development files
##      - name: Clean-up project
##        uses: PrestaShopCorp/github-action-clean-before-deploy@v1.0
#
#
#
#            # A workflow run is made up of one or more jobs that can run sequentially or in parallel
#            #jobs:
#            # This workflow contains a single job called "build"
#            #  build:
#            # The type of runner that the job will run on
#            #    runs-on: ubuntu-latest
#
#            # Steps represent a sequence of tasks that will be executed as part of the job
#            #   steps:
#            # Checks-out your repository under $GITHUB_WORKSPACE, so your job can access it
#            #    - name: Checkout
#            #     uses: actions/checkout@v2
#
#            #  - name: PHP Version
#            #   run: php --version
#
#            #- name: Deploy to server
#            # uses: Pendect/action-rsyncer@v2.0.0
#            # env:
#            #  DEPLOY_KEY: ${{ secrets.DEPLOY_KEY }}
#            #with:
#            #  flags: '-acvz --delete-after --force'
#            # #options: '--include-from=.distinclude --exclude-from=.distignore --chmod=D755,F644 --chown=rslabsneuf:rslabsneuf'
#            # options: '--chmod=D755,F644 --chown=rslabsneuf:rslabsneuf'
#            #ssh_options: '-p 22'
#            #src: './src'
#            ##dest: 'rslabsneuf@ssh.cluster023.hosting.ovh.net:/home/rslabsneuf/mb-distribution/'
#            #dest: 'rslabsneuf@164.132.235.17:/home/rslabsneuf/mb-distribution/'
#
#        #- name: Install dependencies
#        #  uses: php-actions/composer@v6
#        #  with:
#        #    command: ls -al
#        #    php_version: "8.1"
#        #    version: "2.2"
#
#        # Runs a single command using the runners shell
#        #- name: Run a one-line script
#        #  run: echo Hello, world!
#
#        # Runs a set of commands using the runners shell
#        #- name: composer install
#        #  run: |
#        #    composer install
#        #    echo Hello, world2 !
